org.apache.lucene.luke.app.desktop.components.dialog

## Class HelpDialogFactory

- java.lang.Object
- - org.apache.lucene.luke.app.desktop.components.dialog.HelpDialogFactory

- All Implemented Interfaces:
    DialogOpener.DialogFactory

      public final class HelpDialogFactory
      extends Object
      implements DialogOpener.DialogFactory

  Factory of help dialog

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JDialog` | `create(Window owner, String title, int width, int height)`
    `static HelpDialogFactory` | `getInstance()`
    `void` | `setContent(JComponent helpContent)`
    `void` | `setDesc(String desc)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static HelpDialogFactory getInstance()
                                               throws IOException

      Throws:
        `IOException`

    - #### setDesc

          public void setDesc(String desc)

    - #### setContent

          public void setContent(JComponent helpContent)

    - #### create

          public JDialog create(Window owner,
                                String title,
                                int width,
                                int height)

      Specified by:
        `create` in interface `DialogOpener.DialogFactory`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.